<mamecheat version="1">

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@07D5</action>
      <action>temp1 =maincpu.mw@087A</action>
    </script>
    <script state="run">
      <action>maincpu.mb@07D5=C3</action>
      <action>maincpu.mw@087A=087C</action> <!-- 1st = Enemy, 2nd = Bone -->
    </script>
    <script state="off">
      <action>maincpu.mb@07D5=temp0 </action>
      <action>maincpu.mw@087A=temp1 </action>
    </script>
  </cheat>

  <cheat desc="Select Bonus Type"> <comment>Red Scores 800*multiplier, Yellow Scores 300*multiplier, Blue Scores 100*multiplier</comment>
    <parameter>
      <item value="0x10">Red (SPECIAL)</item>
      <item value="0x70">Yellow (EXTRA)</item>
      <item value="0xC0">Blue (SCORE ONLY)</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@6199=param</action>
    </script>
  </cheat>

  <cheat desc="Get one object to end level!">
    <script state="on">
      <action>maincpu.pb@60A9=01</action>
    </script>
  </cheat>

  <cheat desc="The cheats that follow don't update the display"/>
  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@6066=06</action>
    </script>
  </cheat>

  <cheat desc="Multiplier always x5 PL1">
    <script state="run">
      <action>maincpu.pb@609F=03</action>
    </script>
  </cheat>

  <cheat desc="Get the missing letter when bonuses are yellow to complete 'EXTRA'"/>

  <cheat desc="Get EXTR- Now! PL1">
    <script state="on">
      <action>maincpu.pb@609E=F0</action>
    </script>
  </cheat>

  <cheat desc="Get EXT-A Now! PL1">
    <script state="on">
      <action>maincpu.pb@609E=E8</action>
    </script>
  </cheat>

  <cheat desc="Get EX-RA Now! PL1">
    <script state="on">
      <action>maincpu.pb@609E=E4</action>
    </script>
  </cheat>

  <cheat desc="Get E-TRA Now! PL1">
    <script state="on">
      <action>maincpu.pb@609E=E2</action>
    </script>
  </cheat>

  <cheat desc="Get -XTRA Now! PL1">
    <script state="on">
      <action>maincpu.pb@609E=E1</action>
    </script>
  </cheat>

  <cheat desc="Get the missing letter when bonuses are red to complete 'SPECIAL'"/>

  <cheat desc="Get SPECIA- Now! PL1">
    <script state="on">
      <action>maincpu.pb@609D=C0</action>
    </script>
  </cheat>

  <cheat desc="Get SPECI-L Now! PL1">
    <script state="on">
      <action>maincpu.pb@609D=A0</action>
    </script>
  </cheat>

  <cheat desc="Get SPEC-AL Now! PL1">
    <script state="on">
      <action>maincpu.pb@609D=90</action>
    </script>
  </cheat>

  <cheat desc="Get SPE-IAL Now! PL1">
    <script state="on">
      <action>maincpu.pb@609D=88</action>
    </script>
  </cheat>

  <cheat desc="Get SP-CIAL Now! PL1">
    <script state="on">
      <action>maincpu.pb@609D=84</action>
    </script>
  </cheat>

  <cheat desc="Get S-ECIAL Now! PL1">
    <script state="on">
      <action>maincpu.pb@609D=82</action>
    </script>
  </cheat>

  <cheat desc="Get -PECIAL Now! PL1">
    <script state="on">
      <action>maincpu.pb@609D=81</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@6067=02</action>
    </script>
  </cheat>

  <cheat desc="Multiplier always x5 PL2">
    <script state="run">
      <action>maincpu.pb@60A2=03</action>
    </script>
  </cheat>

  <cheat desc="Get the missing letter when bonuses are yellow to complete 'EXTRA'"/>

  <cheat desc="Get EXTR- Now! PL2">
    <script state="on">
      <action>maincpu.pb@60A1=F0</action>
    </script>
  </cheat>

  <cheat desc="Get EXT-A Now! PL2">
    <script state="on">
      <action>maincpu.pb@60A1=E8</action>
    </script>
  </cheat>

  <cheat desc="Get EX-RA Now! PL2">
    <script state="on">
      <action>maincpu.pb@60A1=E4</action>
    </script>
  </cheat>

  <cheat desc="Get E-TRA Now! PL2">
    <script state="on">
      <action>maincpu.pb@60A1=E2</action>
    </script>
  </cheat>

  <cheat desc="Get -XTRA Now! PL2">
    <script state="on">
      <action>maincpu.pb@60A1=E1</action>
    </script>
  </cheat>

  <cheat desc="Get the missing letter when bonuses are red to complete 'SPECIAL'"/>

  <cheat desc="Get SPECIA- Now! PL2">
    <script state="on">
      <action>maincpu.pb@60A0=C0</action>
    </script>
  </cheat>

  <cheat desc="Get SPECI-L Now! PL2">
    <script state="on">
      <action>maincpu.pb@60A0=A0</action>
    </script>
  </cheat>

  <cheat desc="Get SPEC-AL Now! PL2">
    <script state="on">
      <action>maincpu.pb@60A0=90</action>
    </script>
  </cheat>

  <cheat desc="Get SPE-IAL Now! PL2">
    <script state="on">
      <action>maincpu.pb@60A0=88</action>
    </script>
  </cheat>

  <cheat desc="Get SP-CIAL Now! PL2">
    <script state="on">
      <action>maincpu.pb@60A0=84</action>
    </script>
  </cheat>

  <cheat desc="Get S-ECIAL Now! PL2">
    <script state="on">
      <action>maincpu.pb@60A0=82</action>
    </script>
  </cheat>

  <cheat desc="Get -PECIAL Now! PL2">
    <script state="on">
      <action>maincpu.pb@60A0=81</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test (Credit before using!)">
    <parameter min="1" max="16" step="1"/>
    <script state="change">
      <action condition="(param LT 9)">maincpu.pb@6000=80 RSHIFT param-1</action>
      <action condition="(param GE 9)">maincpu.pb@6001=80 RSHIFT param-9</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
